Name:           libeatmydata
Version:        105
Release:        3%{?dist}
Group:          Development/Tools
License:        GPLv3
Summary:        Library and utilities designed to disable fsync and friends
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Source:         https://www.flamingspork.com/projects/libeatmydata/%{name}-%{version}.tar.gz
Patch1:         libeatmydata-eatmydata.patch
# for tests
BuildRequires:  strace
# from Debian package
Source1:        eatmydata.1
URL:            https://www.flamingspork.com/projects/libeatmydata/

%description
This package contains a small LD_PRELOAD library (libeatmydata) and a couple 
of helper utilities designed to transparently disable fsync and friends 
(like open(O_SYNC)). This has two side-effects: making software that writes 
data safely to disk a lot quicker and making this software no longer 
crash safe.

Note that the "nosync" package in EPEL7/Fedora does the same thing, but
won't build for EPEL6.


%prep

%setup -q
%patch1 -p1

%build

%configure
%{__make}

%install
rm -fr %{buildroot}

%makeinstall
find %{buildroot} -name "*.la" -print0 | xargs -0 rm -f
install -m644 -D %SOURCE1 %{buildroot}/%_mandir/man1/$(basename %SOURCE1)

%check
# missing mkostemp on el5
%if 0%{!?el5}
make check
%endif

%clean
rm -fr %{buildroot}
#
%files
%{_libdir}/*
%{_libexecdir}/*
%{_mandir}/man1/*
%{_bindir}/eatmydata

%doc README AUTHORS COPYING ChangeLog


%changelog
* Sat Nov 28 2015 Dave Love <loveshack@fedoraproject.org> - 105-3
- Note about nosync
- Add eatmydata

* Mon Jan 26 2015 Dave Love <d.love@liverpool.ac.uk> - 105-2
- Fix shell scripts
- Drop unnecessary ldconfig

* Fri Jan 23 2015 Dave Love <d.love@liverpool.ac.uk> - 105-1
- New version
- Drop unnecessary autoreconf
- Fix Release, Source
- Ship COPYING, ChangeLog
- Add man page
- Add check stanza

* Fri Jul 26 2013 Jaroslav Kortus <jkortus@redhat.com> - 82-1
- Version 82, bug fix release
- spec file changed to meet fedora packaging guidelines
* Fri May 18 2013 Stewart Smith <stewart@flamingspork.com> - 79
- Version 79, bug fix release
* Fri Mar 08 2013 Alexey Bychko <alexey.bychko@percona.com> - 0.1
- Version 0.1, initial package for RPM-based systems
